Spots API

Spots

Returns information on AirGarage spots — location, pricing, quantity available, and allowed rental types.

Get nearby spots

GEThttps://api.airgarage.com/spots

Get spots in a nearby region.

Query parameters

NameTypeDescription
lat(optional)numberLatitude of the search center.
lon(optional)numberLongitude of the search center.
page(optional)numberPage number. Results are returned 12 spots at a time.

Responses are paginated: each page includes a count, previous and next page links, and up to 12 spots in results.

Example requestbash
curl "https://api.airgarage.com/spots?page=2" \
  -H "X-Api-Key: YOUR_API_KEY"
200 response (truncated)json
{
  "count": 14,
  "next": "https://api.airgarage.com/spots?page=3",
  "previous": "https://api.airgarage.com/spots?page=1",
  "results": [
    {
      "name": "Church of All Saints",
      "uuid": "dB2YV5Ngco4f7uKjdnGqgQ",
      ...
    }
  ]
}

Get spot detail

GEThttps://api.airgarage.com/spots/{uuid}

Get info about a specific spot, including pricing, quantity available, allowed rental types, and address.

Path parameters

NameTypeDescription
uuidRequiredstringSpot identifier, e.g. dB2YV5Ngco4f7uKjdnGqgQ.
Example requestbash
curl https://api.airgarage.com/spots/dB2YV5Ngco4f7uKjdnGqgQ \
  -H "X-Api-Key: YOUR_API_KEY"
200 responsejson
{
  "name": "Church of All Saints",
  "uuid": "dB2YV5Ngco4f7uKjdnGqgQ",
  "address": {
    "address_line1": "20 E Orange Dr",
    "address_line2": "",
    "city": "Phoenix",
    "state": "AZ",
    "zipcode": "85012",
    "country": "US",
    "latitude": "33.512249",
    "longitude": "-112.072150"
  },
  "flat_rate_event": null,
  "price_hourly": 250,
  "price_daily": 800,
  "price_monthly": 5000,
  "active": true,
  "quantity": 50,
  "quantity_monthly": 10,
  "photo_url": null,
  "daily_max": 1000,
  "daily_min": null,
  "minimum_booking_length": 5,
  "spaces_available": [],
  "available": 50,
  "active_rentals": 0,
  "monthly_rentals": 2,
  "closure_today": null,
  "closure_soon": null,
  "dynamic_price": 250,
  "dynamic_max": 1000,
  "display_price": "$2.50",
  "display_price_daily": "$8.00",
  "display_daily_max": "$10.00",
  "display_price_monthly": "$50.00",
  "payment_phone": "5005550006",
  "visitor_registration_phone": "9005550099",
  "organization": 6,
  "period_length": "hour",
  "timezone": "America/Phoenix",
  "has_cameras": false,
  "tax_percent": 0
}